# pandas.api.types.is_dict_like

pandas.api.types.is_dict_like(obj)

  Check if the object is dict-like.

  Parameters
    obj The object to check
  Returns
    is_dict_like bool

      Whether obj has dict-like properties.

  Examples

      >>> is_dict_like({1: 2})
      True
      >>> is_dict_like([1, 2, 3])
      False
      >>> is_dict_like(dict)
      False
      >>> is_dict_like(dict())
      True